
QGIS Application - Bug report #13347

Split features and add ring require refreshing the screen (F5) to show changes

2015-09-11 11:30 PM - Piotr Kania

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21400

Description

Hi!

In qgis dev 2.11.0-64 when I split during editing session feature (line or polygon) with Split features tool I can't see the borders of new

features - I need to refresh screen (F5), that doesn't happen in qgis dev 2.11.0-63.

Related issues:

Related to QGIS Application - Bug report # 13273: Strange things happen when ... Closed 2015-08-27

Associated revisions

Revision 9bd42760 - 2015-09-14 12:48 PM - Matthias Kuhn 

Repaint layer when a maptool changes it

Refs #13347

History

#1 - 2015-09-12 12:03 AM - Piotr Kania

Win 7 x64 sp1

#2 - 2015-09-12 02:02 AM - Saber Razmjooei

- Category set to Digitising

- Priority changed from Normal to Severe/Regression

Confirmed...marked as blocker.

Not sure if it is digitising or map canvas.

#3 - 2015-09-13 03:40 AM - Piotr Kania

Problem exists in 2.11.0-66

#4 - 2015-09-14 12:30 AM - Saber Razmjooei

It also does not show the newly added ring. User needs to refresh to see the changes.
#5 - 2015-09-14 12:32 AM - Saber Razmjooei

- Subject changed from Split features tool from "Digitizing tools" panel to Split features and add ring require refreshing the screen (F5) to show changes

#6 - 2015-09-14 03:50 AM - Matthias Kuhn

Not showing the newly added ring has just been fixed.

#7 - 2015-09-14 04:05 AM - Saber Razmjooei

- Status changed from Open to Closed

And also I can see the split.

Thanks Matthias.

#8 - 2015-09-14 11:28 PM - Piotr Kania

Thanks:)

2025-05-17 2/2


